Leaderboard
curl --request GET \
--url https://calibri.io/api/v2/pythia/public/leaderboardimport requests
url = "https://calibri.io/api/v2/pythia/public/leaderboard"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://calibri.io/api/v2/pythia/public/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"contracts": 30,
"currency": "usdc",
"rank": 1,
"total_pnl": 4500.75,
"total_volume": 12800.5,
"trades": 45,
"uid": "ID1A2B3C4D5E",
"username": "alice***",
"win_rate": 0.7333,
"wins": 22
}
]Community
Leaderboard
Top members by realised PnL on settled contracts. username is a
privacy-masked display name (or an explicit display name when set).
A member with settled contracts in more than one currency appears
once per currency. Filter with period (all, 24h, 7d, 30d).
GET
/
api
/
v2
/
pythia
/
public
/
leaderboard
Leaderboard
Query Parameters
all (default), 24h, 7d or 30d
Page, from 1 (default 1)
Rows per page, 1-100 (default 100)
Response
200 - application/json
OK
Example:
30
Example:
"usdc"
Example:
1
Example:
4500.75
Stake the member put on the settled contracts behind total_pnl.
Example:
12800.5
Example:
45
Example:
"ID1A2B3C4D5E"
Example:
"alice***"
Example:
0.7333
Example:
22